summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 14:28:17 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:28:17 +0200
commit56b0b438da719976cf8d651455ba5e14f7976867 (patch)
treed6d97cfb4136cf69bfe3cf3b58fd3d1bd7303da0 /games
parent809d6e39c57f0cf9f0835e4b73bd988b3b7da0bb (diff)
downloadslackbuilds-56b0b438da719976cf8d651455ba5e14f7976867.tar.gz
slackbuilds-56b0b438da719976cf8d651455ba5e14f7976867.tar.xz
games/armagetronad: Initial import
Diffstat (limited to 'games')
-rw-r--r--games/armagetronad/README44
-rw-r--r--games/armagetronad/armagetronad.SlackBuild96
-rw-r--r--games/armagetronad/armagetronad.info8
-rw-r--r--games/armagetronad/slack-desc11
4 files changed, 159 insertions, 0 deletions
diff --git a/games/armagetronad/README b/games/armagetronad/README
new file mode 100644
index 0000000000..243d68d7f3
--- /dev/null
+++ b/games/armagetronad/README
@@ -0,0 +1,44 @@
+armagetronad (a Tron clone in 3D)
+
+A Tron 'Light Cycles' clone that offers up to 16 players, a highly
+advanced AI, and network/internet play in a full 3D environment
+
+This build includes the game client and Master server. It will install
+system-wide configuration into /etc/armagetron.
+
+Full documentation exists in /usr/doc/armagetronad-<version>/
+
+The armagetronad server initscript is stored as:
+/usr/share/games/armagetronad/scripts/rcd_master
+To use this script, symlink it to /etc/rc.d with this command:
+ln -s /usr/share/games/armagetronad/scripts/rcd_master /etc/rc.d/rc.armagetronad
+
+The armagetronad server system-wide install scripts enable the creation
+of a user called 'armagetronad' for use with the Master server. This
+user isn't created by default by this package. If you would like to
+create this user in the same fashion as the armagetronad system-wide
+install script, the user creation section is shown below. You may
+choose to use this by creating a script with the contents below or
+create a user manually.
+
+
+user=armagetronad
+
+if test -w /etc/passwd; then
+ echo "Creating user ${user}..."
+
+ if which useradd > /dev/null 2>&1; then
+ useradd ${user} || echo -e "\nWarning: unable to create user with 'useradd'. Giving up.\n"
+ else
+
+ if which pw > /dev/null 2>&1; then
+ pw useradd ${user} || echo "Warning: unable to create user with 'pw'. Giving up."
+ else
+ echo -e "\nWarning: unable to find suitable program to add user.\n"
+ fi
+
+ fi
+
+ else # no write acces to /etc/passwd
+ echo -e "\nWarning: no write access to /etc/passwd, can't add user.\n"
+fi
diff --git a/games/armagetronad/armagetronad.SlackBuild b/games/armagetronad/armagetronad.SlackBuild
new file mode 100644
index 0000000000..bf5b2381a4
--- /dev/null
+++ b/games/armagetronad/armagetronad.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=armagetronad
+VERSION=0.2.8.2.1
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-i486}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $PKG
+rm -rf $TMP/$NAME-$VERSION
+cd $TMP || exit 1
+tar zxvf $CWD/$NAME-$VERSION.src.tar.gz || exit 1
+cd $NAME-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+### we don't really want to build the uninstaller, but `make install` fails
+### without it... For the time being, it will exist in /usr/share/doc/$NAME-$VERSION
+### Also using --disable-games since it peppers installation
+### paths with 'games' subdirectories and we're handling that manually.
+### --enable-useradd is used, but no user is created (see README)
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --datadir=/usr/share/games \
+ --docdir=/usr/doc \
+ --enable-glout \
+ --enable-master \
+ --enable-main \
+ --disable-music \
+ --disable-dirty \
+ --enable-sysinstall \
+ --enable-useradd \
+ --enable-etc \
+ --enable-desktop \
+ --enable-initscripts=/etc/rc.d \
+ --enable-uninstall \
+ --disable-games \
+ --enable-binreloc \
+ --enable-binreloc-threads \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+(cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mv $PKG/usr/doc/$NAME $PKG/usr/doc/$NAME-$VERSION
+cp -a {AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README*} $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+rm -rf $PKG/etc/rc.d
+
+mv $PKG/usr/games/armagetronad-uninstall $PKG/usr/doc/$NAME-$VERSION/
+chmod -x $PKG/usr/doc/$NAME-$VERSION/armagetronad-uninstall
+echo "This uninstaller is included for build purposes, but Slackware's removepkg or pkgtool should be used instead." > $PKG/usr/doc/$NAME-$VERSION/armagetronad-uninstall.README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/games/armagetronad/armagetronad.info b/games/armagetronad/armagetronad.info
new file mode 100644
index 0000000000..0785cdfd10
--- /dev/null
+++ b/games/armagetronad/armagetronad.info
@@ -0,0 +1,8 @@
+PRGNAM="armagetronad"
+VERSION="0.2.8.2.1"
+HOMEPAGE="http://armagetronad.net"
+DOWNLOAD="http://switch.dl.sourceforge.net/armagetronad/armagetronad-0.2.8.2.1.src.tar.gz"
+MD5SUM="be4ee66a499a8fe7122391e8340cb576"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="BP{k}"
diff --git a/games/armagetronad/slack-desc b/games/armagetronad/slack-desc
new file mode 100644
index 0000000000..ac18ff0f32
--- /dev/null
+++ b/games/armagetronad/slack-desc
@@ -0,0 +1,11 @@
+armagetronad: armagetronad (a Tron clone in 3D)
+armagetronad:
+armagetronad: A Tron 'Light Cycles' clone that offers up to 16 players, a
+armagetronad: highly advanced AI, and network/internet play in a full 3D
+armagetronad: environment
+armagetronad:
+armagetronad: This build includes the game client and Master server. It will
+armagetronad: install a system-wide configuration and server initscripts
+armagetronad: into /etc/ & /etc/rc.d. This build does NOT create the
+armagetronad: 'armagetronad' user for use with the Master server. The
+armagetronad: dedicated server is NOT built.